<template>
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12 mt-5">
        <h3>Inscription</h3>
      </div>
    </div>
    <div class="row justify-content-center mt-5">
      <div class="col-sm-4">
        <form class="form-group">
          <label for="email1" class="text-left">E-mail</label>
          <input class="form-control" v-model="email" type="email" id="email1" />
          <br />
          <label for="password1" class="text-left">Mot de passe</label>
          <input class="form-control" v-model="password" type="password" id="password1" />
          <label for="password1" class="text-left">Répetez le mot de passe</label>
          <input class="form-control" v-model="password2" type="password" id="password1" />
          <button type="button" class="btn btn-secondary c-btn-connexion mt-4" @click="enregistre()"><strong>S'enregistrer</strong></button>
        </form>
        <div v-if="password !== password2 && password.length > 0 && password2.length" class="alert alert-danger">Les mots de passe doivent être identiques</div>
        <div v-if="isSucces" class="alert alert-success">Compte créé !</div>
         <router-link :to="'/'">Retour accueuil</router-link>
      </div>
    </div>
  </div>
</template>

<script src="./Inscription.js"></script>
<style lang="scss" scoped src="./Inscription.scoped.scss"></style>
<style lang="scss" src="./Inscription.scss"></style>